cURL
curl --request POST \ --url https://api.wizcommerce.com/v1/shipments \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "reference_id": "SHP-2024-001", "order_id": "ORD-2024-001", "shipment_status": "shipped", "name": "Standard Delivery", "shipment_items": [ { "product_id": "SKU-001", "quantity": 2 } ], "tracking_info": { "tracking_number": "1Z999AA10123456784", "tracking_url": "https://tracking.carrier.com/1Z999AA10123456784", "delivery_partner": "FedEx" }, "created_at": "2024-03-10T10:00:00Z", "note": "Handle with care" } '
{ "data": { "id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "shipment_items": [ { "id": "123", "sku_id": "123", "quantity": 10 } ], "reference_id": "123", "order_id": "123", "status": "shipped", "tracking_info": { "tracking_number": "123", "tracking_url": "https://www.google.com", "delivery_partner": "Fedex" }, "created_at": "2021-01-01T00:00:00Z", "updated_at": "2021-01-01T00:00:00Z", "note": "Handle with care" } }
Create Shipment
API Key for authentication
Shipment
255
"SHP-2024-001"
"ORD-2024-001"
shipped
created
fullfiled
"shipped"
"Standard Delivery"
Show child attributes
"2024-03-10T10:00:00Z"
"Handle with care"
Created
Was this page helpful?